> ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # Get Mapper Set > Export Identity Mapper Set for a specific Template in the indicated Environment. This API call is designed to support Get operation for Mapper Set.

Notice

Accessing the API calls is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://api.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your API tool.

    Headers

    *Required
    Header Value cURL Line
    Accept `application/json` `-H "Accept:application/json"`

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

    ## OpenAPI ````json GET /api/1.0/identity-templates/{envId}/{identityTemplateId}/mapper-sets/{identityMapperSetId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "

    The PlainID Authorization Platform provides Management capabilities through the APIs below.

    To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:
    RegionBase URL
    United States (US)https://api.us1.plainid.io
    Canada (CA)https://api.ca1.plainid.io
    Europe (EU)https://api.eu1.plainid.io
    Local PAAhttps://api.plainid.local
    " }, "servers": [ { "description": "United States", "url": "https://api.us1.plainid.io" }, { "description": "Europe", "url": "https://api.eu1.plainid.io" }, { "description": "Canada", "url": "https://api.ca1.plainid.io" }, { "description": "Local PAA", "url": "https://api.plainid.local" } ], "tags": [ { "name": "access-file-authorizer-oas", "description": "access-file-authorizer-oas" }, { "name": "authz-packager-oas", "description": "authz-packager-oas" }, { "name": "SQL Database Authorizer", "description": "API for modifying SQL queries based on authorization policies" }, { "name": "delegated-admin-oas", "description": "delegated-admin-oas" }, { "name": "Discovery", "description": "Discovery APIs" }, { "name": "Enrichment", "description": "Enrichment APIs" }, { "name": "env-mgmt-oas", "description": "env-mgmt-oas" }, { "name": "hybrid-commander-oas", "description": "hybrid-commander-oas" }, { "name": "auth-keys", "description": "Auth key operations" }, { "name": "components", "description": "Component operations" }, { "name": "paas", "description": "PAA operations" }, { "name": "paa-groups", "description": "PAA group operations" }, { "name": "packages", "description": "Package configuration operations" }, { "name": "secret-stores", "description": "Secret store operations" }, { "name": "Table Mapping", "description": "Table Mapping" }, { "name": "Column Mapping", "description": "Column Mapping" }, { "name": "Api Mapping", "description": "Api Mapping" }, { "name": "notifier-oas", "description": "notifier-oas" }, { "name": "shadow-tracker", "description": "Shadow tracker SSE stream" }, { "name": "orchestrator-oas", "description": "orchestrator-oas" }, { "name": "POP", "description": "pop operations" }, { "name": "org-mgmt-oas", "description": "org-mgmt-oas" }, { "name": "pip-mgmt-oas", "description": "pip-mgmt-oas" }, { "name": "monitor-loggers", "description": "monitor-loggers" }, { "name": "Policy Management APIs", "description": "Policy Management APIs" }, { "name": "Policy Management APIs 1.0", "description": "Policy Management APIs 1.0" }, { "name": "Policy Management APIs 2.0", "description": "Policy Management APIs 2.0" }, { "name": "Policy Building Blocks Management APIs 2.0", "description": "Policy Building Blocks Management APIs 2.0" }, { "name": "Audit", "description": "Audit" }, { "name": "Asset Template", "description": "Asset Template" }, { "name": "Application", "description": "Application" }, { "name": "Api Mapper", "description": "Api Mapper" }, { "name": "Identity Template", "description": "Identity Template" }, { "name": "Identity Sources", "description": "Identity Sources" }, { "name": "Mapper Sets", "description": "Mapper Sets" }, { "name": "Identity Template V2", "description": "Identity Template V2" }, { "name": "PAA Sources", "description": "PAA Sources" }, { "name": "PAA Views", "description": "PAA Views" }, { "name": "PAA Groups", "description": "PAA Groups" }, { "name": "Scope", "description": "Managed Scope APIs" }, { "name": "Authentication for Management APIs", "description": "Authentication for Management APIs" }, { "name": "runtime", "description": "runtime" }, { "name": "Cache Management", "description": "Cache invalidation operations for Runtime service" } ], "externalDocs": { "url": "https://docs.plainid.io/apidocs/policy-management-apis" }, "paths": { "/api/1.0/identity-templates/{envId}/{identityTemplateId}/mapper-sets/{identityMapperSetId}": { "get": { "summary": "Get Mapper Set", "operationId": "getMapperSet", "security": [ { "bearerAuth": [] } ], "description": "Export Identity Mapper Set for a specific Template in the indicated Environment. This API call is designed to support Get operation for Mapper Set.
    \n

    Notice

    Accessing the API calls is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://api.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • \n

    Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    \n

    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your API tool.

    Headers

    *Required
    Header Value cURL Line
    Accept `application/json` `-H \"Accept:application/json\"`

    \n

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

    ", "tags": [ "Mapper Sets" ], "parameters": [ { "name": "envId", "in": "path", "required": "true", "schema": { "type": "string", "format": "uuid" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings." }, { "name": "identityTemplateId", "in": "path", "required": "true", "schema": { "type": "string" }, "description": "The Identity Template ID can be found in the Details tab in the Identities Workspace Settings." }, { "name": "identityMapperSetId", "in": "path", "required": "true", "schema": { "type": "string" }, "description": "The Mapper Set ID can be found in the Identities Workspace Settings under the relevant Mapper Set." }, { "name": "includeUnimportableSources", "in": "query", "required": "false", "schema": { "type": "boolean", "default": "false" }, "description": "When set to true, retrieves unimportable Source mappings." } ], "responses": { "200": { "description": "Successful operation", "headers": { "x-request-id": { "schema": { "type": "string" }, "description": "The ID of the request" } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/MapperSetResponse" }, "examples": { "example": { "value": { "data": { "mapperSetId": "ms_123456", "displayName": "User Mapper Set", "description": null, "linkedSources": [ { "sourceId": "REQUEST_INPUT", "sourceUsedAs": "BASE", "mappers": [ { "type": "IDENTITY_ATTRIBUTES", "mappings": [ { "origin": "uid", "target": "uid" }, { "origin": "assignmentId", "target": "assignmentId" }, { "origin": "assignmentName", "target": "assignmentName" } ] } ] }, { "sourceId": "REQUEST_MAPPERS", "sourceUsedAs": "BASE", "mappers": [ { "type": "IDENTITY_ATTRIBUTES", "mappings": [ { "origin": "$.JWT.a.claim", "target": "userAssignment" } ] } ] }, { "sourceId": "ds_users", "sourceUsedAs": "MAIN", "additionalProps": { "isValidateUser": "true" }, "mappers": [ { "type": "IDENTITY_ATTRIBUTES", "mappings": [ { "origin": "userID", "target": "uid" } ] } ] }, { "sourceId": "ds_classes", "sourceUsedAs": "AUX", "additionalProps": { "cacheDuration": "0" }, "mappers": [ { "type": "CORRELATION", "mappings": [ { "origin": "userIdentifier", "target": "uid", "operator": "EQUALS" } ] }, { "type": "IDENTITY_ATTRIBUTES", "mappings": [ { "origin": "assignmentId", "target": "userAssignmentId" }, { "origin": "assignmentName", "target": "userAssignmentName" } ] } ] }, { "sourceId": "ds_classes", "sourceUsedAs": "CONTEXT", "additionalProps": {}, "mappers": [ { "type": "CORRELATION", "mappings": [ { "origin": "userIdentifier", "target": "uid", "operator": "EQUALS" } ] }, { "type": "CONTEXT_FILTERS", "mappings": [ { "origin": "class", "target": "classification", "originMapper": "$.JWT.a.claim", "isRequired": "true", "isExcludedFromCache": "false" } ] }, { "type": "IDENTITY_ATTRIBUTES", "mappings": [ { "origin": "assignmentId", "target": "userAssignmentId" }, { "origin": "assignmentName", "target": "userAssignmentName" } ] } ] }, { "sourceId": "CALCULATED", "sourceUsedAs": "AUX", "mappers": [ { "type": "IDENTITY_ATTRIBUTES", "mappings": [ { "origin": "SUBSTRING({{assignmentName}},0,5)", "target": "userAssignmentPrefix" } ] } ] } ] } } } } } } }, "401": { "description": "Unauthorized", "headers": { "x-request-id": { "schema": { "type": "string" }, "description": "The ID of the request" } } }, "403": { "description": "Forbidden", "headers": { "x-request-id": { "schema": { "type": "string" }, "description": "The ID of the request" } } }, "404": { "description": "Object not found", "headers": { "x-request-id": { "schema": { "type": "string" }, "description": "The ID of the request" } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "validationError": { "$ref": "#/components/examples/TemplateMapperSetNotFoundError" } } } } }, "500": { "description": "Internal Server Error", "headers": { "x-request-id": { "schema": { "type": "string" }, "description": "The ID of the request" } } } } } } }, "components": { "schemas": { "MapperSetResponse": { "type": "object", "description": "Response payload for a Mapper Set", "properties": { "data": { "$ref": "#/components/schemas/MapperSet" } } }, "ErrorResponse": { "type": "object", "properties": { "code": { "type": "string" }, "message": { "type": "string" }, "details": { "type": "string" } } }, "MapperSet": { "type": "object", "description": "Mapper Set", "required": [ "mapperSetId", "displayName", "linkedSources" ], "properties": { "mapperSetId": { "type": "string", "description": "Identity Mapper Set Unique Identifier." }, "displayName": { "type": "string", "description": "Display name for the Mapper Set" }, "description": { "type": "string", "nullable": "true", "description": "Description of the Mapper Set", "maxLength": "200" }, "linkedSources": { "type": "array", "description": "List of linked sources for the Mapper Set", "items": { "type": "object", "required": [ "sourceId", "sourceUsedAs", "mappers" ], "properties": { "sourceId": { "type": "string", "description": "Source identifier. This can be found in the relevant Source in your Identities Workspace Settings." }, "sourceUsedAs": { "type": "string", "enum": [ "BASE", "MAIN", "AUX", "CONTEXT" ], "description": "How the source is used in the mapping" }, "additionalProps": { "type": "object", "description": "Additional properties for the source", "properties": { "cacheDuration": { "type": "integer", "description": "Cache duration in minutes" }, "isValidateUser": { "type": "boolean", "description": "Whether to validate the user in MAIN source only" } } }, "mappers": { "type": "array", "description": "List of Mappers for the Source", "items": { "type": "object", "required": [ "type", "mappings" ], "properties": { "type": { "type": "string", "enum": [ "IDENTITY_ATTRIBUTES", "CORRELATION", "CONTEXT_FILTERS" ], "description": "Type of mapper" }, "mappings": { "type": "array", "description": "List of Attribute mappings", "items": { "type": "object", "properties": { "origin": { "type": "string", "description": "Origin Attribute or expression" }, "target": { "type": "string", "description": "Target Attribute" }, "operator": { "type": "string", "description": "Operator for correlation (for correlation mappers)" }, "originMapper": { "type": "string", "description": "Origin mapper expression (for context filters mappers)" }, "isRequired": { "type": "boolean", "description": "If the Mapping is required (for context filters mappers)" }, "isExcludedFromCache": { "type": "boolean", "description": "Exclude from cache (for context filters mappers)" } } } } } } } } } } } } }, "examples": { "TemplateMapperSetNotFoundError": { "value": { "errors": [ { "code": "EMTMS-001", "id": "EQ7CMX", "status": "404", "name": "TemplateMapperSetNotFoundError", "message": "Template Mapper Set: [TMS] not found, Hint: did you mean [User, Target]" } ] } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "description": " For more details about Administration API Authentication, check out the Authentication APIs documentation
    Provide your bearer token in the Authorization header when making requests to protected resources.
    Example: `Authorization: Bearer 123`" } } } } ````